LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (https://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   PMIPv6 Installation Error in NS-2.29 for Ubuntu 12.04 Linux OS (https://www.linuxquestions.org/questions/linux-newbie-8/pmipv6-installation-error-in-ns-2-29-for-ubuntu-12-04-linux-os-4175544783/)

hohweisiang 06-08-2015 01:42 AM

PMIPv6 Installation Error in NS-2.29 for Ubuntu 12.04 Linux OS
 
My Ubuntu version is 12.04 i686 and my OS is LINUX.

I have download the file that need for NS-2.29 in Ubuntu 12.04. The file is ns-allinone-2.29.3.tar.gz + ns-2.29-nist-mob-022707.tgz
+ pmip6-for-ns-2.29-nist.patch. I try to install it ,but it can not run successfully .

I follow this http://www.linuxquestions.org/questi...-a-4175463585/ , try to install and run but I'm failed.

This is the error.

mipv6@ubuntu:~/pmip6ns2/ns-allinone-2.29/ns-2.29$ ns pmip.tcl
invalid command name "Agent/PMIPv6"
while executing
"Agent/PMIPv6 set debug_ $opt(debug)"
(file "pmip.tcl" line 34)

mipv6@ubuntu:~/pmip6ns2/ns-allinone-2.29/ns-2.29$ ns-nist-pmipv6 pmip.tcl
num_nodes is set 6
INITIALIZE THE LIST xListHead
_o97 channelID = 2412000000.000000
_o127 channelID = 2437000000.000000
_o200 channelID = 2412000000.000000
channel.cc:sendUp - Calc highestAntennaZ_ and distCST_
highestAntennaZ_ = 1.5, distCST_ = 513.3
SORTING LISTS ...DONE!
Link Connect to AP 0 on Channel 1
Segmentation fault (core dumped)


Anyone can guide me install PMIPv6 in NS-2.29, and please provide me the bashrc file.

I will be really please if you can help me in this problem. Your reply will be really appreciated.

Thank you very much in advance.

Tinkster 06-08-2015 04:09 PM

Please post your thread in only one forum. Posting a single thread in the most relevant forum will make it easier for members to help you and will keep the discussion in one place. This thread is being closed because it is a duplicate.


All times are GMT -5. The time now is 09:03 PM.